PDO - Zugriff auf MySQL4 nicht mehr möglich seit neuer XAMPP

Alles, was MariaDB und MySQL betrifft, kann hier besprochen werden.

PDO - Zugriff auf MySQL4 nicht mehr möglich seit neuer XAMPP

Postby tomx992 » 20. January 2016 15:49

Hallo,

folgendes Szenario der neuen XAMPP-Version (alles "out-of-the-box"):

XAMPP-Version: 5.6.15
PHP-Version: 5.6.15
Externe MySQL-Version: 4.0.14-nt
Betriessystem: Windows Server 2012

Wenn ich auf eine Datenbank (nicht localhost, und nicht die MySQL aus XAMPP) verbinden will via PDO, bekomme ich folgenden Fehler:

$db = new PDO("mysql:host=externerhost;dbname=xxx", "xxx", "xxx");

Code: Select all
Warning: PDO::__construct(): Connecting to 3.22, 3.23 & 4.0 is not supported. Server is 4.0.14-nt
SQLSTATE[HY000] [2054] Connecting to 3.22, 3.23 & 4.0 servers is not supported'


Meine parallel laufende XAMPP-Version 1.7.3 mit PHP 5.3.1 kann via PDO auf die identische Datenbank ohne Probleme zugreifen.

Hat jemand einen Anhaltspunkt für mich? Muss ich die Datenbank auf eine neuere Version ziehen, hat PHP oder PDO-Treiber ein Problem?

Vielen Dank.

Alex
tomx992
 
Posts: 3
Joined: 27. December 2004 17:00
Operating System: Windows Server 2012

Return to MariaDB - MySQL

Who is online

Users browsing this forum: No registered users and 3 guests